aboutsummaryrefslogtreecommitdiff
path: root/debian/extra
diff options
context:
space:
mode:
Diffstat (limited to 'debian/extra')
-rw-r--r--debian/extra26
1 files changed, 26 insertions, 0 deletions
diff --git a/debian/extra b/debian/extra
new file mode 100644
index 0000000..65d3db0
--- /dev/null
+++ b/debian/extra
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+if [ $# -lt 2 ]; then
+ echo "usage: $1 deps|control plugin"
+ exit 1
+fi
+
+case $1 in
+ deps)
+ case $2 in
+ *)
+ echo "ERROR invalid plugin: add your plugin to debian/extra"
+ exit 1
+ ;;
+ esac ;;
+
+ control)
+ case $2 in
+ *)
+ echo "ERROR invalid plugin: add your plugin to debian/extra"
+ exit 1
+ ;;
+ esac ;;
+ *) echo "ERROR use deps or control" ;;
+esac
+